# IShTextureMap Struct Reference

Inheritance diagram for IShTextureMap:

List of all members.

## Public Member Functions
virtual boolean MCCOMAPI | IsInternalMode () const =0
virtual MCCOMErr MCCOMAPI | SetInternalMode (const boolean &internal)=0
virtual MCCOMErr MCCOMAPI | SaveExternally (IMCFile *file, const IDType &format, boolean displayOptions=true)=0
virtual MCCOMErr MCCOMAPI | SetFile (IMCFile *file, IDType format, const TSequencedMovieInfos *infos=NULL)=0
virtual MCCOMErr MCCOMAPI | GetFile (IMCFile **file, IDType &format) const =0
virtual MCCOMErr MCCOMAPI | SetChannel (IShChannel *channel)=0
virtual MCCOMErr MCCOMAPI | GetChannel (IShChannel **channel) const =0
virtual MCCOMErr MCCOMAPI | GetRasterLayer (IShRasterLayer **rasterLayer) const =0
virtual MCCOMErr MCCOMAPI | SetTextureMappingInfo (const TextureMappingInfo &info)=0
virtual MCCOMErr MCCOMAPI | GetTextureMappingInfo (TextureMappingInfo &info) const =0
virtual MCCOMErr MCCOMAPI | GetColor (TMCColorRGBA &result, const TVector2 &position)=0
virtual MCCOMErr MCCOMAPI | GetColor (TMCColorRGBA &result, const TVector2 area[])=0
virtual MCCOMErr MCCOMAPI | GetVector (TVector3 &result, const TVector2 &position)=0
virtual MCCOMErr MCCOMAPI | Clone (IShTextureMap **clone, ECloneMode mode)=0
virtual boolean MCCOMAPI | IsMovie () const =0
virtual void MCCOMAPI | SetIsMovie (boolean isMovie)=0
virtual boolean MCCOMAPI | IsEqualTo (const IShTextureMap *t2) const =0
virtual boolean MCCOMAPI | IsImageEqualTo (const IShTextureMap *t2) const =0
virtual IShMovie *MCCOMAPI | GetMovie ()=0
virtual void MCCOMAPI | RegisterListener (ITextureMapListener *listener)=0
virtual void MCCOMAPI | UnregisterListener (ITextureMapListener *listener)=0
virtual boolean MCCOMAPI | HasAlphaChannel ()=0
virtual void MCCOMAPI | Reload ()=0
virtual boolean MCCOMAPI | LoadAsLayerList (boolean forceNotSupported)=0
virtual boolean MCCOMAPI | IsWritable ()=0
virtual boolean MCCOMAPI | SetWritable ()=0
virtual void MCCOMAPI | MarkModified ()=0
virtual void MCCOMAPI | MarkUnmodified ()=0
virtual boolean MCCOMAPI | IsModified ()=0
virtual void MCCOMAPI | Save ()=0
virtual uint32 MCCOMAPI | GetUniqueTextureMapID ()=0
virtual void MCCOMAPI | GetTextureMode (boolean &alpha)=0
virtual void MCCOMAPI | SetTextureMode (boolean alpha)=0
virtual IShLayerList *MCCOMAPI | GetLayerList ()=0
virtual void MCCOMAPI | SetTextureMapFile (IShTextureMapFile *mapFile)=0
virtual IShTextureMapFile *MCCOMAPI | GetTextureMapFile ()=0
virtual boolean MCCOMAPI | IsProtected ()=0
virtual void MCCOMAPI | SetProtected (boolean protect)=0
virtual void MCCOMAPI | GetTextureSize (uint32 &width, uint32 &height) const =0
| Calculate the intrinsic appropriate texture size.
virtual void MCCOMAPI | GetRelevantTextureBucketCache (IShTextureMapBucketCache **outTextureMapFile) const =0
| Get the texture bucket cache associated with the current texture (considering the mapping).
virtual MCCOMErr MCCOMAPI | SaveExternally2 (IMCFile *file, const IDType &format, boolean displayOptions=true, boolean displayFormatIncompatibility=true)=0

## Member Function Documentation

virtual MCCOMErr MCCOMAPI IShTextureMap::Clone | ( | IShTextureMap ** | clone,
|  | ECloneMode | mode |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShTextureMap::GetChannel | ( | IShChannel ** | channel | ) | const`[pure virtual]`

virtual MCCOMErr MCCOMAPI IShTextureMap::GetColor | ( | TMCColorRGBA & | result,
|  | const TVector2 | area[] |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShTextureMap::GetColor | ( | TMCColorRGBA & | result,
|  | const TVector2 & | position |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShTextureMap::GetFile | ( | IMCFile ** | file,
|  | IDType & | format |
| ) |  |  | const`[pure virtual]`

virtual IShLayerList* MCCOMAPI IShTextureMap::GetLayerList | ( |  | ) | `[pure virtual]`

Returns the layer list associated with this texture map.

virtual IShMovie* MCCOMAPI IShTextureMap::GetMovie | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShTextureMap::GetRasterLayer | ( | IShRasterLayer ** | rasterLayer | ) | const`[pure virtual]`

virtual void MCCOMAPI IShTextureMap::GetRelevantTextureBucketCache | ( | IShTextureMapBucketCache ** | outTextureMapFile | ) | const`[pure virtual]`

Get the texture bucket cache associated with the current texture (considering the mapping).

virtual IShTextureMapFile* MCCOMAPI IShTextureMap::GetTextureMapFile | ( |  | ) | `[pure virtual]`

Returns the texture map file.

virtual MCCOMErr MCCOMAPI IShTextureMap::GetTextureMappingInfo | ( | TextureMappingInfo & | info | ) | const`[pure virtual]`

virtual void MCCOMAPI IShTextureMap::GetTextureMode | ( | boolean & | alpha | ) | `[pure virtual]`

Returns the mode of the texture map (alpha support, RGB mode...)

virtual void MCCOMAPI IShTextureMap::GetTextureSize | ( | uint32 & | width,
|  | uint32 & | height |
| ) |  |  | const`[pure virtual]`

Calculate the intrinsic appropriate texture size.

virtual uint32 MCCOMAPI IShTextureMap::GetUniqueTextureMapID | ( |  | ) | `[pure virtual]`

Changes the channel of the texture map. Note that it will modify the texture map and overwrite the old channel.

virtual MCCOMErr MCCOMAPI IShTextureMap::GetVector | ( | TVector3 & | result,
|  | const TVector2 & | position |
| ) |  |  | `[pure virtual]`

virtual boolean MCCOMAPI IShTextureMap::HasAlphaChannel | ( |  | ) | `[pure virtual]`

Returns true if the texture map as an alpha channel different from 1 in any pixel.

virtual boolean MCCOMAPI IShTextureMap::IsEqualTo | ( | const IShTextureMap * | t2 | ) | const`[pure virtual]`

virtual boolean MCCOMAPI IShTextureMap::IsImageEqualTo | ( | const IShTextureMap * | t2 | ) | const`[pure virtual]`

virtual boolean MCCOMAPI IShTextureMap::IsInternalMode | ( |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI IShTextureMap::IsModified | ( |  | ) | `[pure virtual]`

Returns true if the texture mpa is modified in memory.

virtual boolean MCCOMAPI IShTextureMap::IsMovie | ( |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI IShTextureMap::IsProtected | ( |  | ) | `[pure virtual]`

Gets the protected state of this texture map.

virtual boolean MCCOMAPI IShTextureMap::IsWritable | ( |  | ) | `[pure virtual]`

Returns true if the texture map is writable.

virtual boolean MCCOMAPI IShTextureMap::LoadAsLayerList | ( | boolean | forceNotSupported | ) | `[pure virtual]`

Load the texture map as a layer list. If the format is not fully supported the function returns false and will not load it as a layer list. Except if forceNotSupported is true, in that case the image will be loaded as a layer list but the resulting image might not be excatly as the original one.

virtual void MCCOMAPI IShTextureMap::MarkModified | ( |  | ) | `[pure virtual]`

Marks the texture map as modified.

virtual void MCCOMAPI IShTextureMap::MarkUnmodified | ( |  | ) | `[pure virtual]`

Marks the texture map as unmodified.

virtual void MCCOMAPI IShTextureMap::RegisterListener | ( | ITextureMapListener * | listener | ) | `[pure virtual]`

Register a listener which is notified when the texture map is modified.

virtual void MCCOMAPI IShTextureMap::Reload | ( |  | ) | `[pure virtual]`

Reload the texture map for the associated file is it has one.

virtual void MCCOMAPI IShTextureMap::Save | ( |  | ) | `[pure virtual]`

Saves the texture map to the associated file if it is supported.

virtual MCCOMErr MCCOMAPI IShTextureMap::SaveExternally | ( | IMCFile * | file,
|  | const IDType & | format,
|  | boolean | displayOptions = `true` |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShTextureMap::SaveExternally2 | ( | IMCFile * | file,
|  | const IDType & | format,
|  | boolean | displayOptions = `true`,
|  | boolean | displayFormatIncompatibility = `true` |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShTextureMap::SetChannel | ( | IShChannel * | channel | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShTextureMap::SetFile | ( | IMCFile * | file,
|  | IDType | format,
|  | const TSequencedMovieInfos * | infos = `NULL` |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShTextureMap::SetInternalMode | ( | const boolean & | internal | ) | `[pure virtual]`

virtual void MCCOMAPI IShTextureMap::SetIsMovie | ( | boolean | isMovie | ) | `[pure virtual]`

virtual void MCCOMAPI IShTextureMap::SetProtected | ( | boolean | protect | ) | `[pure virtual]`

Sets the protected state of the texture map.

virtual void MCCOMAPI IShTextureMap::SetTextureMapFile | ( | IShTextureMapFile * | mapFile | ) | `[pure virtual]`

Changes the texture map file.

virtual MCCOMErr MCCOMAPI IShTextureMap::SetTextureMappingInfo | ( | const TextureMappingInfo & | info | ) | `[pure virtual]`

virtual void MCCOMAPI IShTextureMap::SetTextureMode | ( | boolean | alpha | ) | `[pure virtual]`

Sets the mode of the texture map (alpha support, RGB mode...)

virtual boolean MCCOMAPI IShTextureMap::SetWritable | ( |  | ) | `[pure virtual]`

Changes the texture map to writable. It returns false is this texture map does not support writing.

virtual void MCCOMAPI IShTextureMap::UnregisterListener | ( | ITextureMapListener * | listener | ) | `[pure virtual]`

Unregister a listener.

The documentation for this struct was generated from the following file:

- IShTextureMap.h